Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006938TestLinkBuild Managementpublic2015-02-07 10:562015-09-19 08:49
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0006938: Create Build from existent one - copy tester assignment filtering by execution status
DescriptionOrigin: LinkedIn post
https://www.linkedin.com/groups/Working-progress-statistics-on-new-1842435.S.5966162631831150592?view=&gid=1842435&type=member&item=5966162631831150592#commentID_null [^]


I´m on 1.9.11
I've created second build on a test plan and inherited test assigment from the firs one
Now I have problems with my statistics because I won't test all the cases, just Failed, Blocked and Not executed on the first one.
Which is the better way to manage this?
How can I get progress statistics for second build?
Is there a any way of remove tester assigment for cases I won't test?

TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon TestLink 1.9.14 [DEV] (Padawan).png [^] (16,352 bytes) 2015-02-07 10:58


png file icon pada01.png [^] (50,642 bytes) 2015-02-07 14:57

- Relationships
has duplicate 0007084closedfman While creating a new build in a Test Plan, only 'Not Run' test cases of the previous build should be associated with this build 
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0022662)
fman (administrator)
2015-02-07 14:51
edited on: 2015-02-07 15:13

1. login as admin
2. create test project TPROJ-01, active, prublic
3. create Test suite TS-100
4. create 5 test cases TC-1A,...., TC-1E
5. create user red-leader, with role leader
6. create test plan TPLAN-A
7. create build 1.0
8. add all test cases to test plan
9, assign exec task for TC-1A,TC-1B => on 1.0 to admin
10. idem 9 but TC-1C,TC-1D,TC-1E to red-leader
11. execute as admin with starting with TC-1A passed,failed,blocked,blocked,NOT RUN (see attached image)

11. Create build 2.0 only passed, using 1.0, filtering for passed
12. check test exec assignment for 2.0
      only TC-1A has assigment => admin - OK

13. Create build 3.0 only faiied, using 1.0, filtering for passed
14. check test exec assignment for 3.0
      only TC-1B has assigment => admin - OK

15. Create build 4.0 only blocked, using 1.0, filtering for passed
16. check test exec assignment for 4.0
      TC-1C,TC-1D has assignment => red-leader - OK

17. Create build 5.0 not run, using 1.0, filtering for passed
18. check test exec assignment for 5.0
      TC-1E has assignment => red-leader - OK

19. Create build 6.0 passed+failed, using 1.0, filtering for passed
20. check test exec assignment for 6.0
      TC-1A,TC-1B has assignment => admin - OK

21. Create build 7.0 passed+blocked, using 1.0, filtering for passed
22. check test exec assignment for 7.0
      TC-1A has assignment => admin - OK
      TC-1C,TC-1D has assignment => red-leader - OK

(0022663)
fman (administrator)
2015-02-07 15:45

Tested also on test plan with platforms
(0023948)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-02-07 10:56 fman New Issue
2015-02-07 10:56 fman Status new => assigned
2015-02-07 10:56 fman Assigned To => fman
2015-02-07 10:58 fman File Added: TestLink 1.9.14 [DEV] (Padawan).png
2015-02-07 14:51 fman Note Added: 0022662
2015-02-07 14:54 fman Note Edited: 0022662 View Revisions
2015-02-07 14:57 fman File Added: pada01.png
2015-02-07 14:59 fman Note Edited: 0022662 View Revisions
2015-02-07 15:00 fman Note Edited: 0022662 View Revisions
2015-02-07 15:02 fman Note Edited: 0022662 View Revisions
2015-02-07 15:03 fman Note Edited: 0022662 View Revisions
2015-02-07 15:05 fman Note Edited: 0022662 View Revisions
2015-02-07 15:13 fman Note Edited: 0022662 View Revisions
2015-02-07 15:44 fman Note View State: 0022662: public
2015-02-07 15:45 fman Note Added: 0022663
2015-02-07 15:45 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-02-07 15:45 fman Status assigned => resolved
2015-02-07 15:45 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-02-07 15:45 fman Resolution open => fixed
2015-02-07 15:46 fman Relationship added child of 0006830
2015-04-30 18:14 fman Relationship added has duplicate 0007084
2015-09-19 08:49 fman Note Added: 0023948
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker